/*Variables: Unicodes*/
/*Please maintain alphabetical order*/
*:focus-visible {
  outline: 0;
}
body {
  background-color: #e9edf0;
}
.search * {
  color: #323f48;
}
.search__field {
  display: flex;
  position: relative;
  margin-top: 50px;
  height: 55px;
  width: min(500px, 100%);
  margin-inline: auto;
}
.search__field--icon {
  position: absolute;
  color: white;
  font-size: 55px;
  font-weight: 600;
}
.search__field--input {
  width: 100%;
  padding: 4px 55px 0;
  border-radius: 6px;
  background-color: #4c565c;
  border: none;
  font-size: 20px;
  line-height: 55px;
  font-weight: bold;
  color: white;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.search__field--input:focus {
  background-color: #da291c;
}
.search__field--input::placeholder {
  color: white;
}
.search__options-list {
  border-bottom: 2px solid #979fa2;
  margin-top: 40px;
  padding-bottom: 16px;
  overflow: auto;
  display: flex;
  justify-content: space-between;
  gap: 10px;
}
@media (min-width: 576px) {
  .search__options-list {
    padding-inline: 10%;
  }
}
.search__option {
  cursor: pointer;
  display: flex;
  align-items: center;
}
.search__option button {
  display: block;
  font-size: 16px;
  background-color: transparent;
  border: none;
  border-bottom: 4px solid transparent;
  color: #4c565c;
  font-weight: bold;
  display: inline-flex;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.search__option button:hover {
  border-bottom: 4px solid #da291c;
  color: #da291c;
}
.search__option button:hover .counter {
  color: #da291c;
}
.search__option button.active {
  border-bottom: 4px solid #da291c;
}
.search__option button.active .counter {
  color: white;
  background: #da291c;
}
.search__option button .counter {
  background: #cbced1;
  padding: 4px 6px;
  border-radius: 5px;
  font-size: 12px;
  line-height: 12px;
  margin-left: 5px;
}
.search__option select {
  font-size: 16px;
  border: none;
  border-bottom: 4px solid transparent;
  padding-right: 8px;
  color: #4c565c;
  font-weight: bold;
  background: transparent;
  -webkit-appearance: none;
  -moz-appearance: none;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.search__option select:hover,
.search__option select:active {
  border-bottom: 4px solid #da291c;
}
.search__option--select-wrapper {
  position: relative;
}
.search__option--select-wrapper::after {
  content: "\de915";
  font-family: "icomoon";
  color: #4c565c;
  position: absolute;
  right: 0;
  pointer-events: none;
}
.search__filter-tags {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 30px;
}
.search__applied-filter-list {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}
.search__applied-filter-tag {
  background: #da291c;
  padding: 4px 18px;
  border-radius: 5px;
  display: flex;
  align-items: center;
}
.search__applied-filter-tag * {
  color: white;
}
.search__applied-filter-tag span {
  cursor: default;
}
.search__applied-filter-tag button {
  background: transparent;
  border: none;
  margin-left: 5px;
  opacity: 0.5;
  cursor: pointer;
}
.search__filter-text {
  font-size: 24px;
}
.search__filter-text span {
  font-weight: bold;
}
.search__results-list {
  width: 100%;
  padding: 0px;
  margin: 40px 0px 30px;
  display: grid;
  gap: 20px;
  grid-template-columns: 1fr;
}
@media (min-width: 768px) {
  .search__results-list {
    grid-template-columns: 1fr 1fr;
  }
}
@media (min-width: 992px) {
  .search__results-list {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
.search__result {
  position: relative;
  background-color: #4c565c;
  aspect-ratio: 16/9;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  border-radius: 4px;
}
.search__result.games-color {
  --section-color: #ff6b2c;
}
.search__result.fiction-color,
.search__result.docs-color,
.search__result.unscripted-color {
  --section-color: #da291c;
}
.search__result.animation-color {
  --section-color: #9503c3;
}
.search__result.xr-color {
  --section-color: #5c94e3;
}
.search__result a {
  display: block;
}
.search__result a .hover-container {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  background: var(--section-color);
  opacity: 0;
  z-index: 1;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.search__result a:hover .hover-container {
  opacity: 0.8;
}
.search__result-image::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(45deg, #232323c2, transparent);
  border-radius: 4px;
}
.search__result-image img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  object-fit: cover;
}
.search__result-text {
  position: absolute;
  padding: 16px 24px;
  height: 100%;
  z-index: 5;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.search__result-text .cfm__title {
  color: white;
  font-size: 24px;
  line-height: 30px;
  font-weight: bold;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
}
.search__result-text .cfm__tags-list {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}
.search__result-text .cfm__tag {
  display: inline-block;
  border-radius: 4px;
  font-size: 11px;
  text-align: center;
  min-width: 55px;
  color: white;
  border: 1px solid #c2c6c9;
  padding: 4px 8px;
}
.search__result-text .fiction-color,
.search__result-text .unscripted-color,
.search__result-text .docs-color {
  background-color: #da291c;
  border-color: #da291c;
}
.search__result-text .animation-color {
  background-color: #9503c3;
  border-color: #9503c3;
}
.search__result-text .xr-color {
  background-color: #5c94e3;
  border-color: #5c94e3;
}
.search__result-text .games-color {
  background-color: #ff6b2c;
  border-color: #ff6b2c;
}
.search .load-more-button {
  display: block;
  font-size: 14px;
  font-weight: bold;
  border: none;
  background-color: transparent;
  color: #323f48;
  border-bottom: 2px solid #c2c6c9;
  text-align: center;
  cursor: pointer;
  padding: 2px 0px;
  margin: 50px auto 30px;
  transition: all 0.5s ease;
}
.search .load-more-button:hover {
  color: #da291c;
  border-bottom: 2px solid #da291c;
}
